com.smartgwt.client.widgets.calendar

## Class IndicatorHoverHTMLCustomizer

- java.lang.Object
- - com.smartgwt.client.widgets.calendar.IndicatorHoverHTMLCustomizer

-     public abstract class IndicatorHoverHTMLCustomizer
      extends java.lang.Object

  Called to determine the hover HTML to be displayed when the user hovers over an IndicatorCanvas in a calendar.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndicatorHoverHTMLCustomizer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Calendar` | `getCalendar()` Returns the Calendar over which the hover occurred
    `abstract java.lang.String` | `getIndicatorHoverHTML(CalendarEvent indicator, IndicatorCanvas indicatorCanvas)` getIndicatorHoverHTML() should be implemented and return the string of HTML to display when the user hovers over an IndicatorCanvas
    `void` | `setCalendar(Calendar calendar)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndicatorHoverHTMLCustomizer

          public IndicatorHoverHTMLCustomizer()

  - ### Method Detail

    - #### setCalendar

          public void setCalendar(Calendar calendar)

    - #### getCalendar

          public Calendar getCalendar()

      Returns the Calendar over which the hover occurred
      Returns:
        Calendar over which the hover occurred

    - #### getIndicatorHoverHTML

          public abstract java.lang.String getIndicatorHoverHTML(CalendarEvent indicator,
                                               IndicatorCanvas indicatorCanvas)

      getIndicatorHoverHTML() should be implemented and return the string of HTML to display when the user hovers over an IndicatorCanvas
      Parameters:
        `indicator` - the Indicator being hovered over.
        `indicatorCanvas` - the indicatorCanvas being hovered
      Returns:
        HTML to display